--- title: "Get inspection item" slug: "management-cloud-advisor-checkitems" tags: ["Cloud Advisor"] updated: 2026-09-17T10:05:38Z published: 2026-09-17T10:05:38Z canonical: "api.ncloud-docs.com/management-cloud-advisor-checkitems" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get inspection item Available in VPC Get an inspection item provided by the Cloud Advisor service. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/categories/{categoryCode}/checkitems | ### Request headers For information about the headers common to all Cloud Advisor APIs, see [Cloud Advisor request headers](/docs/en/management-cloud-advisor-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `categoryCode` | String | Required | Inspection category code - `SECURITY` \| `COST` - `SECURITY`: security category - `COST`: expense and high availability category | ### Request example The request example is as follows: ``` curl --location --request GET 'https://cloud-advisor.apigw.ntruss.com/api/v1/categories/{categoryCode}/checkitems' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `result` | String | - | API processing result - `SUCCESS` \| `FAIL` - `SUCCESS`: succeeded - `FAIL`: failed | | `contents` | Array | - | Inspection item list: [content](/docs/en/management-cloud-advisor-checkitems#content) | #### `contents` The following describes `contents`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `categoryCode` | String | - | Inspection category code | | `itemCode` | String | - | Inspection item code | | `itemName` | String | - | Inspection item name | | `itemDescription` | String | - | Inspection item summary information | | `itemDescriptionDetail` | String | - | Inspection item details | | `recommendation` | String | - | Inspection item recommended action | | `checkLogicDescription` | String | - | Inspection result notification level description - GREEN \| YELLOW \| RED - GREEN: status of compliance with recommended settings (normal) - YELLOW: status requiring action (warning) - RED: status requiring immediate action (dangerous) | | `checkResultType` | String | - | Detailed inspection result provision type by instance - `TABLE` \| `SAMPLE` - `TABLE`: provided - `SAMPLE`: not provided (only summary of inspection results provided) | | `tableHeaderInfo` | Array | - | Detailed inspection result field by instance - [`tableHeaderInfo`](/docs/en/management-cloud-advisor-checkitems#tableHeaderInfo) \| `[]` - `tableHeaderInfo`: if `checkResultType` is `TABLE` - `[]`: if `checkResultType` is `SAMPLE` | #### `tableHeaderInfo` The following describes `tableHeaderInfo`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `key` | String | - | Unique key in table column in inspection results | | `label` | String | - | Name of table column in inspection results | | `type` | String | - | Result data type in table column in inspection results - `Status` \| `String` \| `Timestamp` \| `Number` \| `Integer` \| `Long` \| `Float` | ### Response status codes For response status codes common to all Cloud Advisor APIs, see [Cloud Advisor response status codes](/docs/en/management-cloud-advisor-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "result": "SUCCESS", "contents": [ { "categoryCode": "SECURITY", "itemCode": "SUB_ACCOUNT_ACCESSKEY", "itemName": "Sub Account access key management", "itemDescription": "Check the lifetime of the access key added to the sub account.", "itemDescriptionDetail": "Check the access key usage date of the sub account. To enhance security, we recommend replacing the access key periodically.", "recommendation": "Replace the access key used by the sub account periodically so that it does not exceed 90 days.", "checkLogicDescription": "{{RED}}: There is an access key used by the sub account that has exceeded 730 days of use.
\n{{YELLOW}}: There is an access key used by the sub account that has exceeded 90 days of use.
\n{{GREEN}}: All access keys used by the sub account have been used within the last 90 days.
\n* Inspection is only performed on the access keys currently in use.", "checkResultType": "TABLE", "tableHeaderInfo": [ { "key": "status", "label": "Condition", "type": "Status" }, { "key": "loginId", "label": "Login ID", "type": "String" }, { "key": "subAccountName", "label": "Sub account name", "type": "String" }, { "key": "accessKey", "label": "AccessKey", "type": "String" }, { "key": "accessKeyUseDays", "label": "AccessKey usage date", "type": "Integer" }, { "key": "accessKeyCreateDate", "label": "AccessKey creation date", "type": "Timestamp" } ] }, ... } ```